Mercurial > p > roundup > code
diff .github/workflows/ci-test.yml @ 8149:ee258d848a59
special case ignore gpg build - 24.04 ubuntu github action migration
If gpg build fails and we are on 24.04, continue.
This allows build to still fail if gpg build fails on another platform
provided I have the script correct. I build gpg on 24.04 to make
testing a fix/change to the underlying platform packages easy. In case
an external change fixes it.
[skip travis]
| author | John Rouillard <rouilj@ieee.org> |
|---|---|
| date | Sun, 10 Nov 2024 13:00:11 -0500 |
| parents | e76bd652f3fd |
| children | 911c6b0fbaf7 |
line wrap: on
line diff
--- a/.github/workflows/ci-test.yml Sun Nov 10 12:23:58 2024 -0500 +++ b/.github/workflows/ci-test.yml Sun Nov 10 13:00:11 2024 -0500 @@ -222,13 +222,17 @@ - name: Install auxiliary packages run: | sudo apt-get install swig gpgsm libgpgme-dev - # required for pip install/build of gpg on ubuntu 24.04?? - sudo apt-get install libgpgme11t64 || true # pygments for markdown2 to highlight code blocks pip install markdown2 pygments # docutils for ReStructuredText - pip install beautifulsoup4 brotli docutils gpg jinja2 \ + pip install beautifulsoup4 brotli docutils jinja2 \ mistune==0.8.4 pyjwt pytz whoosh + # gpg doesn't build on Ubuntu 24.04. Ignore failure on that + # platform only. Grep os-release to cover matrix.os in + # [ubunutu-latest, ubuntu-24.04]. + pip install gpg || ( save_status=$?; \ + if grep 24.04 /etc/os-release > /dev/null; then \ + exit 0; else exit $save_status; fi; ) - name: Install aux packages that need versions differences # if zstd fails install, keep going with test, don't abort
